> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add payment with bank card information



## OpenAPI

````yaml /open-api/api-docs.yml post /payment/add
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /payment/add:
    post:
      tags:
        - Payment Api
      summary: Add payment with bank card information
      operationId: addPaymentUsingPOST
      requestBody:
        description: addPaymentRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddPaymentRequest'
        required: true
      responses:
        '200':
          description: Payment Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentResponse'
        '201':
          description: '[3D Payment Bank Confirm Page Html Code].'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentResponse'
        '400':
          description: ApiErrorResponse model bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    AddPaymentRequest:
      title: AddPaymentRequest
      required:
        - CardExpireMonth
        - CardExpireYear
        - CardNumber
        - CardOwnerName
        - Cvc
        - bill
        - phoneNumber
        - subscriptionId
        - threeD
      type: object
      properties:
        CardExpireMonth:
          type: string
          description: Card expire month
          example: '02'
          enum:
            - '01'
            - '02'
            - '03'
            - '04'
            - '05'
            - '06'
            - '07'
            - '08'
            - '09'
            - '10'
            - '11'
            - '12'
        CardExpireYear:
          type: string
          description: Card expire year
          example: 2021 (CardExpireYear must be 4 characters)
        CardNumber:
          type: string
          description: Number of card
          example: 123234345456 (CardNumber must be between 12 and 19 characters)
        CardOwnerName:
          type: string
          description: Card owner name
          example: Ali Veli (CardOwnerName must be between 4 and 100 characters)
        Cvc:
          type: string
          description: CVC
          example: 326 (Cvc must be must be between 3 and 4 characters)
        Installment:
          type: integer
          description: installment
          format: int32
          example: 1
        bill:
          type: array
          description: bill id list
          example:
            - 54321
            - 123123
          items:
            type: integer
            format: int32
        phoneNumber:
          type: string
          description: Customer phone number
          example: >-
            5XXXXXXXXXX (phoneNumber must be 10 characters. phoneNumber must not
            be start 0.)
        subscriptionId:
          type: integer
          description: Customer subscription id
          format: int64
          example: 458752
        threeD:
          type: integer
          description: Normal or Secure Payment
          format: int32
          enum:
            - 0
            - 1
      description: 'Request Model for Add Payment '
    PaymentResponse:
      title: PaymentResponse
      type: object
      properties:
        code:
          type: string
          example: '200'
        reason:
          type: string
          example: Success
        message:
          type: string
          example: Payment Success
        status:
          type: string
          example: ok
      description: Response Model for payment api
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model

````